Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsXPTableHeaderUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TableHeaderUI
              javax.swing.plaf.basic.BasicTableHeaderUI
                  com.sun.java.swing.plaf.windows.WindowsTableHeaderUI
                      com.jgoodies.looks.windows.WindowsXPTableHeaderUI

public final class WindowsXPTableHeaderUI
extends com.sun.java.swing.plaf.windows.WindowsTableHeaderUI

The JGoodies Windows L&F implementation of `TableHeaderUI`. A Windows table header that honors the XP header style even if the user uses custom non-opaque renderers. The renderers should be a subclass of `JComponent` because we need to replace the border by the one specified in the XP style.

Version:
  $Revision: 1.2 $
Author:
  Andrej Golovnin

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicTableHeaderUI
`BasicTableHeaderUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicTableHeaderUI
`header, mouseInputListener, rendererPane`

Constructor Summary
`WindowsXPTableHeaderUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent h)`
`void` | `installUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicTableHeaderUI
`createMouseInputListener, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installKeyboardActions, installListeners, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsXPTableHeaderUI

    public WindowsXPTableHeaderUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent h)

### installUI

    public void installUI(JComponent c)

### uninstallUI

    public void uninstallUI(JComponent c)

### paint

    public void paint(Graphics g,
                      JComponent c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.